%define upstream_name Net_SMTP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.9.0
Release:     	%mkrel 2
Summary:    	An implementation of the SMTP protocol
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_SMTP-%{version}.tgz
URL: 		http://pear.php.net/package/Net_SMTP
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket >= 1.0.7
Requires:	php-pear >= 1.4.3
BuildArch: 	noarch

%description
Provides an implementation of the SMTP protocol using PEAR's Net_Socket
class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMTP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMTP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMTP
fi

%files
%doc docs/Net_SMTP/*
%{peardir}/*
%{xmldir}/Net_SMTP.xml


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1539211
- Mageia 8 Mass Rebuild

* Mon Dec 02 2019 mokraemer <mokraemer> 1.9.0-1.mga8
+ Revision: 1464012
- new version 1.9.0

* Tue Jan 15 2019 mokraemer <mokraemer> 1.8.1-1.mga7
+ Revision: 1357112
- new version 1.8.1

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1287847
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.8.0-1.mga7
+ Revision: 1183370
- new version

* Sun Mar 13 2016 spuhler <spuhler> 1.7.1-1.mga6
+ Revision: 990340
- upgrade to vers. 1.7.1

* Wed Feb 03 2016 umeabot <umeabot> 1.6.2-5.mga6
+ Revision: 933624
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-4.mga5
+ Revision: 743329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-3.mga5
+ Revision: 687388
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 529143
- Mageia 4 Mass Rebuild

* Sat Jul 06 2013 spuhler <spuhler> 1.6.2-1.mga4
+ Revision: 450531
- upgrade to ver 1.6.2

* Sun Jan 13 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 377029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 1.6.1-1.mga2
+ Revision: 199923
- upgrade to 1.6.1
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 1.4.4-1.mga1
+ Revision: 27974
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_SMTP


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-1mdv2011.0
+ Revision: 587645
- update to new version 1.4.4

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.2-1mdv2010.1
+ Revision: 531326
- update to new version 1.4.2

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 495841
- update to new version 1.4.1

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.4-1mdv2010.1
+ Revision: 489154
- update to new version 1.3.4

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-4mdv2010.1
+ Revision: 468721
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Nov 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-3mdv2010.1
+ Revision: 463809
- use rpm filetriggers to register starting from mandriva 2010.1

* Sun Sep 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-2mdv2010.0
+ Revision: 450225
- use pear installer
- use fedora %%post/%%postun

* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-1mdv2010.0
+ Revision: 400322
- update to new version 1.3.3

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 357911
- update to new version 1.3.2

  + Jérôme Soyer <saispo@mandriva.org>
    - update to new version 1.3.2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdv2009.1
+ Revision: 322499
- rebuild

* Wed Aug 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.1-1mdv2009.0
+ Revision: 276681
- new release 1.3.1

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-2mdv2009.0
+ Revision: 236994
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2.10-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Adam Williamson <awilliamson@mandriva.org> 1.2.10-1mdv2008.0
+ Revision: 55646
- Import php-pear-Net_SMTP

